[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Where to find iscsitarget-modules-2.6.24-1-ixp4xx for lenny on NSLU2

Hey Theo!

theo schrieb:
> The problem I encounter is that I can't find the
> iscsitarget-modules-2.6.24-1-ixp4xx package paired with the current lenny
> kernel. The only packages I find are for sid and kernels 2.6.25-2.
> Any idea where to find the iscsitarget-module for lenny

I cant't find iscsitarget-modules-2.6.24-1-ixp4xx in the archive either,
but it might be easy to build it on your own. For most debianized kernel
modules it schould work like that:

1. apt-get install iscsitarget-source
    (this also install module-assistant, an extremely convenient tool)

2. m-a prepare
    (this gets the kernel headers)

3. m-a auto-install iscsitarget
    (this builds and even installs the module package for you)

...provided that the kernel headers of your running kernel are currently
available either locally or through apt.

The other solution would be to upgrade to a newer kernel version, for
which headers are available, and then repeat the above procedure. The
current lenny kernel is 2.6.24-1-ixp4xx, version 2.6.24-7.

Good luck, and please share you experience with us!

Attachment: signature.asc
Description: OpenPGP digital signature

Reply to: